class OnlineOllamaModel:
    def __init__(self):
        self._model = ""
        self._modelName = ""
        self._modelfile = ""
        self._modelUrl = ""
        self._modelfileUrl = ""
        
    @property
    def model(self):
        """获取 modelName 属性"""
        return self._model
    
    @model.setter
    def model(self, value):
        """设置 modelName 属性"""
        self._model = value
        
    @property
    def modelName(self):
        """获取 modelName 属性"""
        return self._modelName
    
    @modelName.setter
    def modelName(self, value):
        """设置 modelName 属性"""
        self._modelName = value
        
    @property
    def modelfile(self):
        """获取 modelfile 属性"""
        return self._modelfile
    
    @modelfile.setter
    def modelfile(self, value):
        """设置 modelfile 属性"""
        self._modelfile = value
        
    @property
    def modelUrl(self):
        """获取 modelUrl 属性"""
        return self._modelUrl
    
    @modelUrl.setter
    def modelUrl(self, value):
        """设置 modelUrl 属性"""
        self._modelUrl = value
        
    @property
    def modelfileUrl(self):
        """获取 modelfileUrl 属性"""
        return self._modelfileUrl
    
    @modelfileUrl.setter
    def modelfileUrl(self, value):
        """设置 modelfileUrl 属性"""
        self._modelfileUrl = value